simbion/lihat_beasiswa/urls.py
from django.urls import path
from .views import index, detail_beasiswa

app_name = 'lihat_beasiswa'

urlpatterns = [
	path('', index, name='index'),
	path('detail/<int:kode_skema>/', detail_beasiswa, name='detail-beasiswa'),
]

simbion/login/urls.py
from django.urls import path

from .views import index

app_name = 'login'

urlpatterns = [
    path('', index, name='index'),
]

simbion/simbion/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic import RedirectView

urlpatterns = [
    path('admin/', admin.site.urls),
    path('login/', include('login.urls', namespace='login')),
    path('register/', include('register.urls', namespace='register')),
    path('polls/', include('polls.urls')),
    path('beasiswa/daftar/', include('daftar_beasiswa.urls', namespace='daftar-beasiswa')),
    path('beasiswa/lihat/', include('lihat_beasiswa.urls', namespace='lihat-beasiswa')),
    path('wawancara/', include('wawancara.urls', namespace='wawancara')),
    path('pembayaran/', include('pembayaran.urls', namespace='pembayaran')),
    path('pengumuman/', include('pengumuman.urls', namespace='pengumuman')),
    path('', RedirectView.as_view(pattern_name='lihat-beasiswa:index', permanent=True), name='index'),
]

simbion/lihat_beasiswa/models.py
from django.db import models

# Create your models here.

simbion/lihat_beasiswa/views.py
from django.shortcuts import render
from daftar_beasiswa.models import SkemaBeasiswa, SkemaBeasiswaAktif, SyaratBeasiswa

response = {"author" : "Ahmad Hasan Siregar", "role" : "mahasiswa"}

def index(request):
	response["beasiswa_list"] = get_list_of_beasiswa()
	html = "lihat_beasiswa/lihat_beasiswa.html"
	return render(request, html, response)

def detail_beasiswa(request, kode_skema):
	html = "lihat_beasiswa/detail_beasiswa.html"
	skema_beasiswa = get_skema_beasiswa(kode_skema)

	if skema_beasiswa != None:
		syarat_beasiswa = get_syarat_beasiswa(skema_beasiswa.kode)

		data = {"nama" : skema_beasiswa.nama, "kode" : skema_beasiswa.kode, "jenis" : skema_beasiswa.jenis,
				"donatur" : skema_beasiswa.nomor_identitas_donatur.nomor_identitas,
				"deskripsi" : skema_beasiswa.deskripsi, "syarat" : syarat_beasiswa}
	else:
		data = None

	response["beasiswa"] = data
	return render(request, html, response)

def get_skema_beasiswa(kode_skema):
	query = "SELECT * FROM skema_beasiswa WHERE kode = " + str(kode_skema) + ";"
	skema_beasiswa = SkemaBeasiswa.objects.raw(query)

	try:
		return skema_beasiswa[0]
	except IndexError:
		return None

def get_list_of_beasiswa():
	beasiswa_list = []
	query = "SELECT 1 id, * FROM skema_beasiswa_aktif ORDER BY tgl_tutup_pendaftaran DESC"
	no = 1

	for beasiswa in SkemaBeasiswaAktif.objects.raw(query):
		data = {"no" : no, "kode_skema" : beasiswa.kode_skema_beasiswa.kode,
				"nama" : beasiswa.kode_skema_beasiswa.nama,
				"tanggal_tutup" : beasiswa.tgl_tutup_pendaftaran.strftime("%d/%m/%Y"),
				"status" : beasiswa.status, "jumlah_pendaftar" : beasiswa.jumlah_pendaftar}

		beasiswa_list.append(data)
		no += 1

	return beasiswa_list

def get_syarat_beasiswa(kode_beasiswa):
	query = "SELECT 1 id, syarat FROM syarat_beasiswa WHERE kode_beasiswa = " + str(kode_beasiswa) + ";"
	syarat_beasiswa = []
	for syarat in SyaratBeasiswa.objects.raw(query):
		syarat_beasiswa.append(syarat.syarat)

	return syarat_beasiswa

simbion/lihat_beasiswa/templates/lihat_beasiswa/detail_beasiswa.html
{% extends "daftar_beasiswa/layout/base.html" %}
{% load staticfiles %}
{% load static %}

{% block include %}
<link rel="stylesheet" type="text/css" href="{% static 'css/lihat_beasiswa.css' %}" />
{% endblock %}

{% block title %}Informasi Beasiswa{% endblock %}

{% block content %}
<div class="container">
	<div class="row">
		<h1>{{ beasiswa.nama }} - {{ beasiswa.kode }}</h1>
		<p>Beasiswa {{ beasiswa.jenis }} dibuat oleh {{ beasiswa.donatur }}</p>
		<p>{{ beasiswa.deskripsi }}</p>
		<p>Syarat Beasiswa :</p>
		{% for syarat in beasiswa.syarat %}
		<p>- {{ syarat }}</p>
		{% endfor %}
		<hr>
		{% if role == "mahasiswa" %}
		<div class="box">
			<a href="#">Daftar Beasiswa Ini</a>
		</div>
		{% endif %}
	</div>
</div>
{% endblock %}

simbion/lihat_beasiswa/templates/lihat_beasiswa/lihat_beasiswa.html
{% extends "daftar_beasiswa/layout/base.html" %}
{% load staticfiles %}
{% load static %}

{% block include %}
<link rel="stylesheet" type="text/css" href="{% static 'css/lihat_beasiswa.css' %}" />
{% endblock %}

{% block title %}Daftar Beasiswa yang Tersedia{% endblock %}

{% block content %}
<div class="container">
	<div id="beasiswa-list" class="table table-responsive">
		<table id="beasiswa-table" class="table table-hover">
			<thead>
				<th>No</th>
				<th>Nama Beasiswa</th>
				<th>Waktu Tutup Pendaftaran</th>
				<th>Status Beasiswa</th>
				<th>Jumlah Pendaftar</th>
			</thead>
			<tbody>
				{% for beasiswa in beasiswa_list %}
				<tr>
					<td>{{ beasiswa.no }}</td>
					<td><a href="{% url 'lihat-beasiswa:detail-beasiswa' beasiswa.kode_skema %}">
					{{ beasiswa.nama }}</a></td>
					<td>{{ beasiswa.tanggal_tutup }}</td>
					<td>{{ beasiswa.status }}</td>
					<td>{{ beasiswa.jumlah_pendaftar }}</td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
</div>
{% endblock %}